/*******************************************************************************
 * Copyright 2005-2006, CHISEL Group, University of Victoria, Victoria, BC, Canada.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     The Chisel Group, University of Victoria
 *******************************************************************************/
package org.eclipse.mylar.zest.core;

/**
 * Provides constants for default colors used in ZEST.
 * @author Del Myers
 * @tag zest(bug(151332-Colors)) : resolution
 */
public interface IZestColorConstants {

	public static final String LIGHT_BLUE = "org.eclipse.mylar.zest.colors.lightblue"; //$NON-NLS-1$
	public static final String LIGHT_BLUE_CYAN = "org.eclipse.mylar.zest.colors.lightbluecyan"; //$NON-NLS-1$
	public static final String GREY_BLUE = "org.eclipse.mylar.zest.colors.greyblue"; //$NON-NLS-1$
	public static final String DARK_BLUE = "org.eclipse.mylar.zest.colors.darkblue"; //$NON-NLS-1$
	public static final String LIGHT_YELLOW = "org.eclipse.mylar.zest.colors.lightyellow"; //$NON-NLS-1$
	public static final String WHITE = "org.eclipse.mylar.zest.colors.white"; //$NON-NLS-1$
	public static final String LIGHT_GRAY = "org.eclipse.mylar.zest.colors.lightgray"; //$NON-NLS-1$
	public static final String DISABLED = "org.eclipse.mylar.zest.colors.disabled"; //$NON-NLS-1$
	public static final String GRAY = "org.eclipse.mylar.zest.colors.gray"; //$NON-NLS-1$
	public static final String BLACK = "org.eclipse.mylar.zest.colors.black"; //$NON-NLS-1$
	public static final String RED = "org.eclipse.mylar.zest.colors.red"; //$NON-NLS-1$
	public static final String DARK_RED = "org.eclipse.mylar.zest.colors.darkred";
	public static final String ORANGE = "org.eclipse.mylar.zest.colors.orange"; //$NON-NLS-1$
	public static final String YELLOW = "org.eclipse.mylar.zest.colors.yellow"; //$NON-NLS-1$
	public static final String GREEN = "org.eclipse.mylar.zest.colors.green"; //$NON-NLS-1$
	public static final String LIGHT_GREEN = "org.eclipse.mylar.zest.colors.lightgreen"; //$NON-NLS-1$
	public static final String DARK_GREEN = "org.eclipse.mylar.zest.colors.darkgreen"; //$NON-NLS-1$
	public static final String CYAN = "org.eclipse.mylar.zest.colors.cyan"; //$NON-NLS-1$
	public static final String BLUE = "org.eclipse.mylar.zest.colors.blue"; //$NON-NLS-1$;
	public static final String NODE_DEFAULT_FOREGROUND = BLACK;
	public static final String NODE_DEFAULT_BACKGROUND = LIGHT_BLUE;
	public static final String NODE_DEFAULT_HIGHLIGHT = YELLOW;
	public static final String NODE_DEFAULT_ADJACENT = ORANGE;
	public static final String NODE_DEFAULT_BORDER = BLACK;
	public static final String NODE_DEFAULT_BORDER_HIGHLIGHT = BLUE;
	public static final String EDGE_WEIGHT_0 = "edge.0"; //$NON-NLS-1$
	public static final String EDGE_WEIGHT_01 = "edge.01"; //$NON-NLS-1$
	public static final String EDGE_WEIGHT_02 = "edge.02"; //$NON-NLS-1$
	public static final String EDGE_WEIGHT_03 = "edge.03"; //$NON-NLS-1$
	public static final int EDGE_WEIGHTS = 4;
	
	public static final String EDGE_DEFAULT = "org.eclipse.mylar.zest.colors.edgedefault"; //$NON-NLS-1$
	public static final String EDGE_HIGHLIGHT = "org.eclipse.mylar.zest.colors.edgehighlight"; //$NON-NLS-1$
	
	
	
	
	
}
